<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>ship-ota-server</artifactId>
        <groupId>com.yc.ship</groupId>
        <version>1.0.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <packaging>jar</packaging>

    <artifactId>ship-module-miniapplet</artifactId>
    <description>
        miniapplet 模块下，我们小程序页面内容相关业务代码。
    </description>
    <properties>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>
    </properties>

    <dependencies>
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>common</artifactId>
        </dependency>
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>module-infra-api</artifactId>
            <version>1.0.0</version>
        </dependency>
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>spring-boot-starter-biz-data-permission</artifactId>
        </dependency>
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>spring-boot-starter-biz-tenant</artifactId>
        </dependency>
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>spring-boot-starter-biz-ip</artifactId>
        </dependency>
        <!-- Web 相关 -->
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>spring-boot-starter-security</artifactId>
        </dependency>
        <!-- DB 相关 -->
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>spring-boot-starter-mybatis</artifactId>
        </dependency>

        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>spring-boot-starter-redis</artifactId>
        </dependency>

        <!-- 消息队列相关 -->
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>spring-boot-starter-mq</artifactId>
        </dependency>

        <!-- Test 测试相关 -->
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>

        <!-- 工具类相关 -->
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>spring-boot-starter-excel</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-mail</artifactId>
        </dependency>
        <!-- joda-time相关 -->
        <dependency>
            <groupId>joda-time</groupId>
            <artifactId>joda-time</artifactId>
            <version>2.9.9</version>
        </dependency>
    </dependencies>

</project>